using Toybox.WatchUi as Ui;
using Toybox.Graphics as Gfx;
using Toybox.System as Sys;
using Toybox.Lang as Lang;
using Toybox.Application as App;

class bgwfView extends Ui.WatchFace {

	var width,height;
var u=0;	

    function initialize() {
        WatchFace.initialize();
        
        //read last values from the Object Store
        //counter now read in app initialize
        //var temp=App.getApp().getProperty(OSCOUNTER);
        //if(temp!=null && temp instanceof Number) {counter=temp;}
 
        //var temp=App.getApp().getProperty(OSDATA);
        var temp=null;
        if(temp!=null && temp instanceof String) {bgdata=temp;}
        
        var now=Sys.getClockTime();
    	var ts=now.hour+":"+now.min.format("%02d");
        Sys.println("From OS: data="+bgdata+" "+counter+" at "+ts);        
    }

    // Load your resources here
    function onLayout(dc) {
        width=dc.getWidth();
        height=dc.getHeight();
     }

    // Called when this View is brought to the foreground. Restore
    // the state of this View and prepare it to be shown. This includes
    // loading resources into memory.
    function onShow() {
    }

    // Update the view
    function onUpdate(dc) {
u++;    
        // Get and show the current time
        var clockTime = Sys.getClockTime();
        var timeString = Lang.format("$1$:$2$", [clockTime.hour, clockTime.min.format("%02d")]);
		
		dc.setColor(Gfx.COLOR_BLACK,Gfx.COLOR_BLACK);
		dc.clear();
		dc.setColor(Gfx.COLOR_BLUE,Gfx.COLOR_TRANSPARENT);
		
		dc.drawText(width/2,25,Gfx.FONT_SMALL,timeString,Gfx.TEXT_JUSTIFY_CENTER);
		
		dc.drawText(width/2,50,Gfx.FONT_SMALL,"BG Available? "+canDoBG,Gfx.TEXT_JUSTIFY_CENTER);
		
		dc.drawText(width/2,75,Gfx.FONT_SMALL,"Count="+counter,Gfx.TEXT_JUSTIFY_CENTER);
		
		dc.drawText(width/2,100,Gfx.FONT_SMALL,"bgData="+bgdata,Gfx.TEXT_JUSTIFY_CENTER);
		
		dc.drawText(width/2,125,Gfx.FONT_SMALL,"onUpdate="+u,Gfx.TEXT_JUSTIFY_CENTER);
    }

    // Called when this View is removed from the screen. Save the
    // state of this View here. This includes freeing resources from
    // memory.
    function onHide() {
    	//may not be called on real watch  Moved to onStop()
    	//var now=Sys.getClockTime();
    	//var ts=now.hour+":"+now.min.format("%02d");        
        //Sys.println("onHide counter="+counter+" "+ts);    
    	//App.getApp().setProperty(OSCOUNTER, counter);    
    }

    // The user has just looked at their watch. Timers and animations may be started here.
    function onExitSleep() {
    }

    // Terminate any active timers and prepare for slow updates.
    function onEnterSleep() {
    }

}
